Bug 798456 - System sometimes fails to completely hibernate
System sometimes fails to completely hibernate
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: John Feeney
Dong Zhu
: Regression
Depends On:
Blocks: 840683
  Show dependency treegraph
 
Reported: 2012-02-28 17:13 EST by Orion Poplawski
Modified: 2014-03-16 21:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 16:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (50.76 KB, application/octet-stream)
2012-02-28 17:13 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2012-02-28 17:13:38 EST
Created attachment 566407 [details]
dmesg

Description of problem:

Starting with the 6.2 kernels, our two SuperMicro X7DWT machines sometimes fail to hibernate completely.  Power light goes out but monitor/keyboard seems to have some power.  Need to hold power button in for a few seconds and then system finally powers off.  When turned on it boots fresh, does not resume from previous.


Tried using a serial console to capture problems, but things seem fine.  No timestamps here so not sure what is from when:

ACPI: Waking up from system sleep state S4
pci 0000:00:01.0: PCI INT A -> GSI 24 (level, low) -> IRQ 24
pci 0000:00:05.0: PCI INT A -> GSI 28 (level, low) -> IRQ 28
pci 0000:00:07.0: PCI INT A -> GSI 30 (level, low) -> IRQ 30
usb usb2: root hub lost power or was reset
usb usb3: root hub lost power or was reset
usb usb4: root hub lost power or was reset
usb usb1: root hub lost power or was reset
pci 0000:00:1f.0: rerouting interrupts for [8086:2670]
ahci 0000:00:1f.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[drm] nouveau 0000:01:00.0: We're back, enabling device...
[drm] nouveau 0000:01:00.0: POSTing device...
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0x6970
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0x6FB6
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0x814B
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0x814F
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0x8237
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0x829C
[drm] nouveau 0000:01:00.0: Restoring GPU objects...
[drm] nouveau 0000:01:00.0: Reinitialising engines...
[drm] nouveau 0000:01:00.0: Restoring mode...
HDA Intel 0000:01:00.1: PCI INT B -> GSI 34 (level, low) -> IRQ 34
pci 0000:03:00.0: PCI INT A -> GSI 28 (level, low) -> IRQ 28
pci 0000:04:00.0: PCI INT A -> GSI 28 (level, low) -> IRQ 28
pci 0000:04:02.0: PCI INT A -> GSI 44 (level, low) -> IRQ 44
e1000e 0000:06:00.0: PCI INT A -> GSI 44 (level, low) -> IRQ 44
e1000e 0000:06:00.0: PME# disabled
e1000e 0000:06:00.0: eth0: MAC Wakeup cause - Magic Packet
e1000e 0000:06:00.1: PCI INT B -> GSI 40 (level, low) -> IRQ 40
e1000e 0000:06:00.1: PME# disabled
serial 00:08: activated
serial 00:09: activated
ata4: SATA link down (SStatus 0 SControl 300)
ata6: SATA link down (SStatus 0 SControl 300)
ata2: SATA link down (SStatus 0 SControl 300)
ata5: SATA link down (SStatus 0 SControl 300)
ata3: SATA link down (SStatus 0 SControl 300)
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: configured for UDMA/100
usb 2-2: reset low speed USB device using uhci_hcd and address 2
sd 0:0:0:0: [sda] Starting disk
Restarting tasks ... done.
e1000e: eth1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
PM: Syncing filesystems ... done.
Freezing user space processes ... (elapsed 0.00 seconds) done.
Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
PM: Preallocating image memory... done (allocated 5996649 pages)
PM: Allocated 23986596 kbytes in 13.75 seconds (-1379.-13 MB/s)
sd 0:0:0:0: [sda] Synchronizing SCSI cache
serial 00:09: disabled


Version-Release number of selected component (if applicable):
2.6.32-220.4.2.el6.x86_64

How reproducible:
intermittent

Reverting to 2.6.32-131.21.1.el6.x86_64 prevents the problem from occurring.
Additional info:
Comment 6 Matthew Garrett 2012-09-20 16:10:50 EDT
Not happening for 6.4.
Comment 7 RHEL Product and Program Management 2012-09-20 16:26:04 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.